require "rack/contrib"

class Oxy::TryStatic < Rack::TryStatic
  def initialize(app, options)
    @app, @exclude = app, ["_config.yml"]
    # call superclass
    super(app, :root => options.document_root, :urls => %w[/], :try => [".html", "index.html", "/index.html"])
  end

  def call(env)
    orig_path = env['PATH_INFO']
    found = nil
    # match requested path against excluded files
    @exclude.each do |filename|
      # detour Rack::TryStatic middleware by calling the next middleware in the pipeline
      break if orig_path.end_with?(filename) && found = @app.call(env)
    end
    # pass thru or ask parent middleware to do the job
    found or super(env)
  end
end